AbstractPlugin (softwaregateway-client 2.0.0-2.17.0 API)
Date: 2013-11-30

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.softwaregateway.client.plugins
Class AbstractPlugin<S,P>

    java.lang.Object
      org.gcube.vremanagement.softwaregateway.client.plugins.AbstractPlugin<S,P>

Type Parameters:
  `S` -
  `P` -

All Implemented Interfaces:
  org.gcube.common.clients.delegates.ProxyPlugin<EndpointReference,S,P>, org.gcube.common.clients.fw.plugin.Plugin<S,P>

Direct Known Subclasses:
  AccessPlugin, RegistrationPlugin

    public abstract class AbstractPlugin<S,P>

extends Object
implements org.gcube.common.clients.fw.plugin.Plugin<S,P>

Author:
  Roberto Cirillo (ISTI -CNR)

Field Summary
`String` | `name`

Method Summary
`Exception` | `convert(Exception fault, org.gcube.common.clients.config.ProxyConfig<?,?> config)`
`String` | `name()`
`String` | `serviceClass()`
`String` | `serviceName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.gcube.common.clients.fw.plugin.Plugin
`namespace`

Methods inherited from interface org.gcube.common.clients.delegates.ProxyPlugin
`newProxy, resolve`

Field Detail

### name

    public final String name

Method Detail

### serviceClass

    public String serviceClass()

  Specified by:
    `serviceClass` in interface `org.gcube.common.clients.delegates.ProxyPlugin<EndpointReference,S,P>`

### serviceName

    public String serviceName()

  Specified by:
    `serviceName` in interface `org.gcube.common.clients.delegates.ProxyPlugin<EndpointReference,S,P>`

### name

    public String name()

  Specified by:
    `name` in interface `org.gcube.common.clients.delegates.ProxyPlugin<EndpointReference,S,P>`

### convert

    public Exception convert(Exception fault,
                             org.gcube.common.clients.config.ProxyConfig<?,?> config)

  Specified by:
    `convert` in interface `org.gcube.common.clients.delegates.ProxyPlugin<EndpointReference,S,P>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.